Package weka.classifiers.bayes.net

# Class MarginCalculator.JunctionTreeSeparator

java.lang.Object
weka.classifiers.bayes.net.MarginCalculator.JunctionTreeSeparator

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `MarginCalculator`

public class MarginCalculator.JunctionTreeSeparator extends Object implements Serializable, RevisionHandler

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`double[]`
`update(MarginCalculator.JunctionTreeNode node)`
marginalize junciontTreeNode node over all nodes outside the separator set
`void`
`updateFromChild()`
marginalize junciontTreeNode node over all nodes outside the separator set of the child clique
`void`
`updateFromParent()`
marginalize junciontTreeNode node over all nodes outside the separator set of the parent clique

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### updateFromParent

public void updateFromParent()
marginalize junciontTreeNode node over all nodes outside the separator set of the parent clique

### updateFromChild

public void updateFromChild()
marginalize junciontTreeNode node over all nodes outside the separator set of the child clique

### update

public double[] update(MarginCalculator.JunctionTreeNode node)
marginalize junciontTreeNode node over all nodes outside the separator set

Parameters:
  `node` - : one of the neighboring junciont tree nodes of this separator

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision